Bug 242177 - Democracy and gnome-python2-gtkmozembed block firefox upgrade
Summary: Democracy and gnome-python2-gtkmozembed block firefox upgrade
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Democracy   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Thorsten Scherf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 23:43 UTC by Joe Buck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.9.5.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-02 14:47:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Buck 2007-06-01 23:43:20 UTC
Description of problem:

Democracy and gnome-python2-gtkmozembed both depend explicitly on firefox
version 1.5.0.10, which blocks the Firefox upgrade.


Version-Release number of selected component (if applicable):

Democracy-0.9.5.1-5.fc6
gnome-python2-gtkmozembed-2.14.2-9.fc6

How reproducible:

Try to do "yum update" on an FC6 system with either of the above packages installed.


Steps to Reproduce:

Try to install the current Democracy and firefox.

  
Actual results:

Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package firefox.i386 0:1.5.0.12-1.fc6 set to be updated
---> Package yelp.i386 0:2.16.0-13.fc6 set to be updated
---> Package devhelp.i386 0:0.12-11.fc6 set to be updated
---> Downloading header for Democracy to pack into transaction set.
Democracy-0.9.5.1-6.fc6.i 100% |=========================| 105 kB    00:00     
---> Package Democracy.i386 0:0.9.5.1-6.fc6 set to be updated
---> Package firefox-devel.i386 0:1.5.0.12-1.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: firefox = 1.5.0.10 for package: gnome-python2-gtkmozembed
--> Finished Dependency Resolution
Error: Missing Dependency: firefox = 1.5.0.10 is needed by package
gnome-python2-gtkmozembed

Expected results:

obvious.

Additional info:

Comment 1 Joe Buck 2007-06-01 23:46:50 UTC
Note that PR 233111 might be relevant to any fix; fixing 233111 first and then
fixing this one might re-open 233111, if the result leaves FC6 with a newer
Democracy than FC7 has.


Comment 2 Thorsten Scherf 2007-06-02 14:47:53 UTC
already fixed in Democracy-0.9.5.1-6.fc6


Note You need to log in before you can comment on or make changes to this bug.